Subject: bug#31626: Emacs window resizes when entering dired mode

From: Robert Pluim <[email-masked]>
Date: Mon, 28 May 2018 18:39:35 +0200

Alain Knaff <[email-masked]> writes:

> On 2018-05-28 18:11, Robert Pluim wrote:
> [...]
>> The scaling is not dired-specific, itʼs inside GTK, so thereʼs nothing
>> you can do to dired to change it.
>
> If it's inside GTK, then why are only dired buffers affected? For
> instance, a buffer containing a Java file or something else is not affected.

The error message you quoted happens when creating menus, and those
menus are mode-specific, so different for java and dired.

> So I guess emacs is calling a certain gtk function when a dired buffer
> is active, that it does not call for other buffers. Which call could
> that be? Initiative *must* come from somewhere inside emacs, or else
> emacs-specific actions such as pressing C-x o would not be able to
> trigger it.
>

Yes, but unfortunately itʼs not that simple, else we would have fixed
it already :-)

>
> Possibly also this is a call that emacs did not invoke on older
> versions? (but here, it is just as well possible that Ubuntu 18.04's GTK
> performs that call differently than Ubuntu 16.04's GTK)
>
>> 
>> Emacs-26 was released about 2 hours ago, so I doubt anyone's packaged it yet.
>
> ok :-)
>
>> Iʼve attached the announcement, perhaps you can build emacs from source?
>
> ... or I'll just wait until the distributors pick it up :-)
>

OK. Please let us know how it goes.

Regards

Robert